Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_IORInfo Class Reference

This class exposes an interface that allows IORInterceptors add tagged components to IORs. More...

`#include <IORInfo.h>`

Inheritance diagram for TAO_IORInfo:

[legend]
Collaboration diagram for TAO_IORInfo:

[legend]
List of all members.

## Public Methods
| TAO_IORInfo (TAO_POA *poa)
| Constructor.
void | invalidate (void)
| Invalidate this IORInfo instance.
void | components_established (void)
PortableInterceptor::IORInfo Methods
Methods exposed by the PortableInterceptor::IORInfo interface.
virtual CORBA::Policy_ptr | get_effective_policy (CORBA::PolicyType type ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | add_ior_component (const IOP::TaggedComponent &component ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
| Add the given tagged component to all profiles.
virtual void | add_ior_component_to_profile (const IOP::TaggedComponent &component, IOP::ProfileId profile_id ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual PortableInterceptor::AdapterManagerId | manager_id (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual PortableInterceptor::AdapterState | state (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual PortableInterceptor::ObjectReferenceTemplate * | adapter_template (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual PortableInterceptor::ObjectReferenceFactory * | current_factory (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
virtual void | current_factory (PortableInterceptor::ObjectReferenceFactory *current_factory ACE_ENV_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
## Protected Methods
| ~TAO_IORInfo (void)
void | check_validity (ACE_ENV_SINGLE_ARG_DECL)
| Check if this IORInfo instance is valid.
## Private Methods
| TAO_IORInfo (const TAO_IORInfo &)
void | operator= (const TAO_IORInfo &)
## Private Attributes
TAO_POA * | poa_
| Pointer to POA.
CORBA::Boolean | components_established_

## Detailed Description

This class exposes an interface that allows IORInterceptors add tagged components to IORs.

## Constructor & Destructor Documentation

TAO_IORInfo::TAO_IORInfo | ( | TAO_POA * | poa | ) |

| Constructor.

TAO_IORInfo::~TAO_IORInfo | ( | void |  | ) | `[protected]`

| Protected destructor to enforce proper memory managment through the reference counting mechanism.

TAO_IORInfo::TAO_IORInfo | ( | const TAO_IORInfo & |  | ) | `[private]`

| Prevent copying through the copy constructor and the assignment operator.

## Member Function Documentation

PortableInterceptor::ObjectReferenceTemplate * TAO_IORInfo::adapter_template | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the policy matching the given policy type that is in effect for the object whose IOR is being created.

void TAO_IORInfo::add_ior_component | ( | const IOP::TaggedComponent &component | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Add the given tagged component to all profiles.

void TAO_IORInfo::add_ior_component_to_profile | ( | const IOP::TaggedComponent & | component,
|  | IOP::ProfileId profile_id | ACE_ENV_ARG_DECL_WITH_DEFAULTS
| ) | throw (CORBA::SystemException)`[virtual]`

| Add the given tagged component to all profiles matching the given ProfileId.

void TAO_IORInfo::check_validity | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[protected]`

| Check if this IORInfo instance is valid. Once all IORInterceptor interception points have been called, this IORInfo object is no longer valid. Throw an exception in that case.

ACE_INLINE void TAO_IORInfo::components_established | ( | void |  | ) |

| This method is used so to inform the IORInfo when the add_ior_component() and add_ior_component_to_profile() methods are invalid. They are only valid in the IORInterceptor::establish_components() interception point.

void TAO_IORInfo::current_factory | ( | PortableInterceptor::ObjectReferenceFactory *current_factory | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Return the policy matching the given policy type that is in effect for the object whose IOR is being created.

PortableInterceptor::ObjectReferenceFactory * TAO_IORInfo::current_factory | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the policy matching the given policy type that is in effect for the object whose IOR is being created.

CORBA::Policy_ptr TAO_IORInfo::get_effective_policy | ( | CORBA::PolicyType type | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | throw (CORBA::SystemException)`[virtual]`

| Return the policy matching the given policy type that is in effect for the object whose IOR is being created.

ACE_INLINE void TAO_IORInfo::invalidate | ( | void |  | ) |

| Invalidate this IORInfo instance. Once the IOR interception points have been invoked, this IORInfo instance is no longer valid.

PortableInterceptor::AdapterManagerId TAO_IORInfo::manager_id | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the policy matching the given policy type that is in effect for the object whose IOR is being created.

void TAO_IORInfo::operator= | ( | const TAO_IORInfo & |  | ) | `[private]`

PortableInterceptor::AdapterState TAO_IORInfo::state | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Return the policy matching the given policy type that is in effect for the object whose IOR is being created.

## Member Data Documentation

CORBA::Boolean TAO_IORInfo::components_established_`[private]`

| This flag is used to prevent the add_ior_component() and add_ior_component_to_profile() methods from being incorrectly called after the IORInterceptor::establish_components() interception point has been called.

TAO_POA* TAO_IORInfo::poa_`[private]`

| Pointer to POA.

The documentation for this class was generated from the following files:

- IORInfo.h
- IORInfo.cpp
- IORInfo.inl